Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math.analysis
Interface BivariateRealFunction

All Known Implementing Classes:
  BicubicSplineFunction, BicubicSplineInterpolatingFunction, BinaryFunction

    public interface BivariateRealFunction

An interface representing a bivariate real function.

Since:
  2.1
Version:
  $Revision: 924453 $ $Date: 2010-03-17 16:05:20 -0400 (Wed, 17 Mar 2010) $

Method Summary
`double` | `value(double x, double y)` Compute the value for the function.

Method Detail

### value

    double value(double x,
                 double y)
                 throws FunctionEvaluationException

  Compute the value for the function.

  Parameters:
    `x` - abscissa for which the function value should be computed
    `y` - ordinate for which the function value should be computed
  Returns:
    the value
  Throws:
    `FunctionEvaluationException` - if the function evaluation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2003-2011 Apache Software Foundation